%define upstream_name    Dist-Zilla-Plugin-ProgCriticTests
%define upstream_version 1.101601

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Gradually enforce coding standards with Dist::Zilla
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Dist::Zilla::Plugin::InlineFiles)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(JSON)
BuildRequires: perl(Moose)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Perl::Critic::Progressive)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(YAML::Tiny)
BuildRequires: perl(autodie)
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
Please see Test::Perl::Critic::Progressive on what exactly it does. For you
it's only important to know that by using this plugin you can avoid the
creep of bad coding practices into your distribution and slowly remove
those that have made their way in already, without being forced to fix
everything at once.

The plugin automatically creates the needed test file and primes it with
all data it needs to know about your dist as well as the options you give.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README META.yml LICENSE META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Tue Aug 24 2010 Jérôme Quelin <jquelin@mandriva.org> 1.101.601-1mdv2011.0
+ Revision: 572895
- import perl-Dist-Zilla-Plugin-ProgCriticTests

